@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@300;400;500&family=Roboto+Condensed:wght@300&family=Roboto:wght@300;400&display=swap');

@font-face{
    font-family: "mm";
    font-weight: normal;
    src: url("../fonts/MyanmarSagar.ttf");

}
:root{
    --primary : #00ffff;
    --primary-soft:#06d4c3a4;
    --secondary : #707070;
    --secondary-soft: #f2f2f2;
    --light : #ffffff;
    --dark : #3a3b3c;
    --br:5px;
}

.mm{
    font-family: "mm";
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', 'mm';
    color: var(--secondary)
}
body{
    transition: 0.5s;
}
.divider{
    background: var(--secondary);
    height:5px;
    border-radius: var(--br);
}
.app{
    width: 700px;
    margin: 100px auto;
}
.output{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.brand-container{
    display: flex;
    align-items: center;
}
.logo{
    width: 50px;
}
.brand{
    margin-left: 10px;
    font-size: 30px;
}
.result-container{
    display: flex;
    align-items: center;
}
.result{
    font-size: 50px;
}
.calc{
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}
.container{
    width: 150px;
}
.input,.from,.to{
    width: 100%;
    padding: 5px 10px;
    border-radius: var(--br);
    border: 1px solid var(--secondary);
}
.input{
    text-align: right;
}
.container label{
    display: block;
    margin-bottom: 10px;
}
.calc-btn{
    width: 100%;
    height: 100%;
    border-radius: var(--br);
    background-color: var(--primary);
    border: 1px solid var(--primary);
    color: var(--light);
    font-size: 20px;
    text-transform: uppercase;
}
.calc-btn:active{
    background-color: var(--primary-soft);
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
select::-ms-expand {	display: none; }
select{
    -webkit-appearance: none;
    appearance: none;
}
@-moz-document url-prefix(){
  .select { width: 110%; background-position: right 30px center !important; border: none !important;}
}

select:focus-visible,input:focus-visible,input:focus-visible{
    outline: none;
}

.history {
    font-family: Arial, Helvetica, sans-serif;
    /* border-collapse: collapse; */
    width: 100%;
  }
  
.history td, .history th {
    /* border: 1px solid #ddd; */
    padding: 8px;
    border-radius: var(--br);
  }
  
/* .history tr:nth-child(even){background-color: var(--secondary-soft);}
   */

.history tr{
    background-color: var(--secondary-soft);
}
.history tr:hover {background-color: #ddd;}
  
.history th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: var(--primary);
    color: var(--light);
}
.history th:last-child{
    text-align: right;
}
.history tr td:last-child{
    text-align: right;
}
#rowSpacer td{
    text-align: center;
}
.mode-change{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: var(--dark);
    color: var(--dark);
    border: none;
    position: fixed;
    bottom: 50px;
    right: 50px;
}
.mode-change .fas{
    color: var(--light);
}
@media screen and (max-width: 480px)  {
    .app{
        width: 96%;
        margin: 30px auto;
    }
    .output{
        flex-flow: column;
        align-items: flex-end;
    }
    .brand-container{
        width: 100%;
    }
    .calc{
        flex-wrap: wrap;
    }
    .container{
        width: 100%;
        margin-bottom: 15px;
    }
    .from-container,.to-container{
        width: 46%;
    }
    .input,.from,.to{
        padding: 15px 10px;
    }
    .calc-btn{
        padding: 15px 0;
    }
}
